# Transaction Broadcast

## **ENDPOINT**

```
POST https://api.data123.io/aleo/<API KEY>/v1/testnet3/transaction/broadcast
```

### **Body**

|  Type  |               Description               |
| :----: | :-------------------------------------: |
| string | The serialized transaction to broadcast |

### **Response**

<table><thead><tr><th width="195">Parameter</th><th width="122">type</th><th>Description</th></tr></thead><tbody><tr><td>result</td><td>string</td><td>The status of the transaction broadcast attempt</td></tr></tbody></table>

### Request

{% tabs %}
{% tab title="REST" %}

```bash
curl https://api.data123.io/aleo/<API KEY>/v1/testnet3/transaction/broadcast \
    -X POST \
    -d '{The serialized transaction to broadcast}'
```

{% endtab %}

{% tab title="JSON-RPC" %}

<pre><code><strong>curl https://api.data123.io/aleo/&#x3C;API KEY>/rpc/v1/testnet3 \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"transactionBroadcast","params":['{The serialized transaction to broadcast}'],"id":1}'
</code></pre>

{% endtab %}
{% endtabs %}
